GDCM: gdcm::CryptoFactory Class Reference

GDCM 3.2.11

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
gdcm::CryptoFactory Class Referenceabstract

Class to do handle the crypto factory. More...

`#include <gdcmCryptoFactory.h>`

Inheritance diagram for gdcm::CryptoFactory:
[legend]

## Public Types
enum | CryptoLib { DEFAULT = 0 , OPENSSL = 1 , CAPI = 2 , OPENSSLP7 = 3 }

## Public Member Functions
virtual CryptographicMessageSyntax * | CreateCMSProvider ()=0

## Static Public Member Functions
static CryptoFactory * | GetFactoryInstance (CryptoLib id=DEFAULT)

## Protected Member Functions
| CryptoFactory ()=default
| CryptoFactory (CryptoLib id)
| ~CryptoFactory ()=default

## Detailed Description

Class to do handle the crypto factory.

GDCM needs to access in a platform independent way the user specified crypto engine. It can be:

- CAPI (windows only)
- OPENSSL (portable)
- OPENSSLP7 (portable) By default the factory will try: CAPI if on windows OPENSSL if possible OPENSSLP7 when older OpenSSL is used.

## Member Enumeration Documentation

## ◆ CryptoLib

enum gdcm::CryptoFactory::CryptoLib

Enumerator
DEFAULT |
OPENSSL |
CAPI |
OPENSSLP7 |

## Constructor & Destructor Documentation

## ◆ CryptoFactory() [1/2]

gdcm::CryptoFactory::CryptoFactory | ( | CryptoLib | id | ) |
| inlineprotected

Referenced by gdcm::OpenSSLCryptoFactory::OpenSSLCryptoFactory(), gdcm::OpenSSLP7CryptoFactory::OpenSSLP7CryptoFactory(), and GetFactoryInstance().

## ◆ CryptoFactory() [2/2]

gdcm::CryptoFactory::CryptoFactory | ( |  | ) |
| protecteddefault

## ◆ ~CryptoFactory()

gdcm::CryptoFactory::~CryptoFactory | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ CreateCMSProvider()

virtual CryptographicMessageSyntax * gdcm::CryptoFactory::CreateCMSProvider | ( |  | ) |
| pure virtual

Implemented in gdcm::CAPICryptoFactory, gdcm::OpenSSLCryptoFactory, and gdcm::OpenSSLP7CryptoFactory.

Examples
  BasicAnonymizer.cs, and ClinicalTrialIdentificationWorkflow.cs.

## ◆ GetFactoryInstance()

CryptoFactory * gdcm::CryptoFactory::GetFactoryInstance | ( | CryptoLib | id = DEFAULT | ) |
| static

References CryptoFactory(), and DEFAULT.

The documentation for this class was generated from the following file:

- gdcmCryptoFactory.h